This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 908966 - Enable gold linker for ARM architecture
Enable gold linker for ARM architecture
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-02-07 17:19 EST by William Cohen
Modified: 2013-03-06 11:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 11:13:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2013-02-07 17:19:49 EST
Description of problem:

Gold linker in binutils is currently only built for x86 platforms.  Would it be possible to enable building the gold linker for arm?  Some people might like the faster linker.

With a simple test build it appeared that gold linker is buildable in 
binutils-2.23.51.0.1-6.fc18.
Comment 1 William Cohen 2013-03-05 11:59:02 EST
Just need the following change in the binutils.spec to enable it.


$ diff -u binutils.spec.x binutils.spec
--- binutils.spec.x	2013-03-05 11:55:01.389026867 -0500
+++ binutils.spec	2013-03-05 11:55:17.944308415 -0500
@@ -47,7 +47,7 @@
 
 Provides: bundled(libiberty)
 
-%define gold_arches %ix86 x86_64
+%define gold_arches %ix86 x86_64 %arm
 
 %ifarch %gold_arches
 %define build_gold	both
Comment 2 William Cohen 2013-03-05 15:57:51 EST
binutils appears to build without problem as a fedora 19 scratch build with gold enabled:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1536253
Comment 3 Nick Clifton 2013-03-06 11:13:39 EST
binutils-2.23.52.0.1-4.fc19 now contains this patch.

Note You need to log in before you can comment on or make changes to this bug.